get
https://test-api.tbcbank.ge/bab/v1/transfers/single//status
Returns the current status of a single transfer using its internal bank transfer ID.
The transferId is the internal ID returned in the id field of the
POST /bab/v1/transfers/single response. Use this endpoint to poll or check
the processing state of a specific single transfer order.
Transfer statuses
| Status | Description |
|---|---|
Initial state | Transfer is created in an initial state and processing has not started yet |
Draft | Transfer is saved as a draft |
Registered | Transfer is registered in the bank system |
Deleted | Transfer is deleted |
Waiting for certification | Transfer is waiting for authorization / confirmation |
In progress | Transfer is being processed |
Error | An error occurred while processing the transfer |
Finished | Transfer processing is completed |
Failed | Transfer could not be completed |
Cancelled | Transfer is cancelled |
Note:
errorDetailEN,errorDetailGE,failureReasonEn, andfailureReasonGe
are populated when transfer processing fails or an upstream system returns additional
error/failure information.
